#### Description:

This function extracts all sub-strings separated by a given character from the supplied string and returns them in an array of dynamically allocated strings. The delimiter character itself is not included in the returned strings.

Delimiter characters that are preceded by `"` ∖`"` are not used as delimiters but are included in the returned word instead (without the `"` ∖`"` ).

#### Synopsis

char ∗∗astChrSplitC( const char ∗str, char c, int ∗n )

#### Parameters:

##### str

Pointer to the string to be split.

##### c

The delimiter character.

##### n

Address of an int in which to return the number of words returned.

#### Returned Value

##### astChrSplitC()

A pointer to a dynamically allocated array containing `"` ∗n`"` elements. Each element is a pointer to a dynamically allocated character string containing a word extracted from the supplied string.

#### Notes:

- A NULL pointer is returned if this function is invoked with the global error status set or if it should fail for any reason, or if the supplied string contains no words.

Copyright (C) 2021 East Asian Observatory